Debian Bug report logs - #659279
netmrg: FTBFS(kfreebsd): error in kernel header

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Christoph Egger <christoph@debian.org>

Date: Thu, 9 Feb 2012 19:03:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version kfreebsd-kernel-headers/0.77

Fixed in version kfreebsd-kernel-headers/0.78

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Thu, 09 Feb 2012 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Uwe Steinmann <steinm@debian.org>. (Thu, 09 Feb 2012 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Thu, 09 Feb 2012 19:59:48 +0100
Package: src:netmrg
Version: 0.20-6
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

In file included from /usr/include/net-snmp/system/kfreebsd.h:56:0,
                 from /usr/include/net-snmp/net-snmp-config.h:1766,
                 from snmp.cpp:25:
/usr/include/netinet/in_pcb.h:390:27: error: 'CACHE_LINE_SIZE' was not declared in this scope
/usr/include/netinet/in_pcb.h:390:44: error: requested alignment is not a constant
make[3]: *** [snmp.o] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=netmrg&arch=kfreebsd-amd64&ver=0.20-6&stamp=1328514662

This might also be a problem in kernel-headers. I'm not sure about that,
hopefully someone from -bsd@ will clarify

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Fri, 10 Feb 2012 20:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Fri, 10 Feb 2012 20:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 659279@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 659279@bugs.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Fri, 10 Feb 2012 20:56:32 +0100
2012/2/9, Christoph Egger <christoph@debian.org>:
> In file included from /usr/include/net-snmp/system/kfreebsd.h:56:0,
>                  from /usr/include/net-snmp/net-snmp-config.h:1766,
>                  from snmp.cpp:25:

Might be a bug in net-snmp-config.h.  Which package provides this
file?  For some reason http://www.debian.org/distrib/packages can't
find it.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Fri, 10 Feb 2012 20:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Fri, 10 Feb 2012 20:48:13 GMT) Full text and rfc822 format available.

Message #15 received at 659279@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 659279@bugs.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Fri, 10 Feb 2012 21:45:08 +0100
Robert Millan <rmh@debian.org> writes:
> 2012/2/9, Christoph Egger <christoph@debian.org>:
>> In file included from /usr/include/net-snmp/system/kfreebsd.h:56:0,
>>                  from /usr/include/net-snmp/net-snmp-config.h:1766,
>>                  from snmp.cpp:25:
>
> Might be a bug in net-snmp-config.h.  Which package provides this
> file?  For some reason http://www.debian.org/distrib/packages can't
> find it.

libsnmp-dev: /usr/include/net-snmp/net-snmp-config.h

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Fri, 10 Feb 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Fri, 10 Feb 2012 21:42:04 GMT) Full text and rfc822 format available.

Message #20 received at 659279@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: 659279@bugs.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Fri, 10 Feb 2012 21:39:47 +0000
[Message part 1 (text/plain, inline)]
El 10 de febrer de 2012 20:45, Christoph Egger <christoph@debian.org> ha escrit:
> Robert Millan <rmh@debian.org> writes:
>> 2012/2/9, Christoph Egger <christoph@debian.org>:
>>> In file included from /usr/include/net-snmp/system/kfreebsd.h:56:0,
>>>                  from /usr/include/net-snmp/net-snmp-config.h:1766,
>>>                  from snmp.cpp:25:
>>
>> Might be a bug in net-snmp-config.h.  Which package provides this
>> file?  For some reason http://www.debian.org/distrib/packages can't
>> find it.
>
> libsnmp-dev: /usr/include/net-snmp/net-snmp-config.h

A pair of #includes are missing.  machine/param.h is required by
in_pcb.h and sys/socket.h is needed by if_arp.h.  See attached patch
(untested).

-- 
Robert Millan
[header_fix.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Sun, 18 Mar 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Sun, 18 Mar 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 659279@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 659279@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Sun, 18 Mar 2012 00:05:56 +0000
Hi,

> A pair of #includes are missing.  machine/param.h is required by
> in_pcb.h and sys/socket.h is needed by if_arp.h.  See attached patch
> (untested).

I just tried building this (on kfreebsd-i386) with the new
kfreebsd-kernel-headers (0.78).  Somehow this has fixed *both* issues so
the patch/includes are no longer needed.

Christoph, please kindly schedule a rebuild of this once the new k-k-h
are ready on the buildd's.

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Sun, 18 Mar 2012 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Sun, 18 Mar 2012 12:33:05 GMT) Full text and rfc822 format available.

Message #30 received at 659279@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 659279@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Sun, 18 Mar 2012 13:28:10 +0100
tags 659279 - patch
thanks

El 18 de març de 2012 1:05, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> Hi,
>
>> A pair of #includes are missing.  machine/param.h is required by
>> in_pcb.h and sys/socket.h is needed by if_arp.h.  See attached patch
>> (untested).
>
> I just tried building this (on kfreebsd-i386) with the new
> kfreebsd-kernel-headers (0.78).  Somehow this has fixed *both* issues so
> the patch/includes are no longer needed.

Ah, right. Looks like I made the same mistake...

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Sun, 08 Apr 2012 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Sun, 08 Apr 2012 02:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 659279@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 659279@bugs.debian.org, kfreebsd-i386@buildd.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Sun, 08 Apr 2012 03:52:47 +0100
On 18/03/12 00:05, Steven Chamberlain wrote:
> Christoph, please kindly schedule a rebuild of this once the new k-k-h
> are ready on the buildd's.

Hi Christoph,

I forgot about this :)  All buildds appear to have
kfreebsd-kernel-headers 0.78 now, so please queue netmrg for another
build attempt, on kfreebsd-i386 and kfreebsd-amd64.

Thanks again!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Sun, 08 Apr 2012 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Sun, 08 Apr 2012 11:03:05 GMT) Full text and rfc822 format available.

Message #40 received at 659279@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 659279@bugs.debian.org, kfreebsd-i386@buildd.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Sun, 08 Apr 2012 13:02:08 +0200
Steven Chamberlain <steven@pyro.eu.org> writes:
> On 18/03/12 00:05, Steven Chamberlain wrote:
>> Christoph, please kindly schedule a rebuild of this once the new k-k-h
>> are ready on the buildd's.
>
> Hi Christoph,
>
> I forgot about this :)  All buildds appear to have
> kfreebsd-kernel-headers 0.78 now, so please queue netmrg for another
> build attempt, on kfreebsd-i386 and kfreebsd-amd64.

Also resheduled.

Thanks!

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Sun, 08 Apr 2012 11:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Sun, 08 Apr 2012 11:57:06 GMT) Full text and rfc822 format available.

Message #45 received at 659279@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 659279@bugs.debian.org, kfreebsd-i386@buildd.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Sun, 08 Apr 2012 13:56:01 +0200
Christoph Egger <christoph@debian.org> writes:
> Steven Chamberlain <steven@pyro.eu.org> writes:
>> On 18/03/12 00:05, Steven Chamberlain wrote:
>>> Christoph, please kindly schedule a rebuild of this once the new k-k-h
>>> are ready on the buildd's.
>>
>> Hi Christoph,
>>
>> I forgot about this :)  All buildds appear to have
>> kfreebsd-kernel-headers 0.78 now, so please queue netmrg for another
>> build attempt, on kfreebsd-i386 and kfreebsd-amd64.
>
> Also resheduled.

And built successfully

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Steinmann <steinm@debian.org>:
Bug#659279; Package src:netmrg. (Sun, 08 Apr 2012 12:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Uwe Steinmann <steinm@debian.org>. (Sun, 08 Apr 2012 12:27:15 GMT) Full text and rfc822 format available.

Message #50 received at 659279@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 659279@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#659279: netmrg: FTBFS(kfreebsd): error in kernel header
Date: Sun, 08 Apr 2012 13:10:12 +0100
block 659279 by 663091
reassign 659279 kfreebsd-kernel-headers
found 659279 kfreebsd-kernel-headers/0.77
close 659279 0.78
thanks

Fixed by kfreebsd-kernel-headers 0.78, thanks!

>  kfreebsd-kernel-headers  (0.78) unstable; urgency=low
> 
>    * Add <net/ppp_defs.h>, alongside ppp.c test.  (Closes: #663008)
>    * Fix buildability of <netinet/in_pcb.h>.  (Closes: #663091)
> 
>  -- Robert Millan <rmh@debian.org>  Sat, 17 Mar 2012 23:16:31 +0100 

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Added blocking bug(s) of 659279: 663091 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 12:27:45 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:netmrg' to 'kfreebsd-kernel-headers'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 12:27:47 GMT) Full text and rfc822 format available.

No longer marked as found in versions netmrg/0.20-6. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 12:27:47 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-kernel-headers/0.77. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 12:27:48 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-kernel-headers/0.78. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 12:27:48 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 12:27:49 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sun, 08 Apr 2012 12:27:50 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 May 2012 07:43:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:33:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.